diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/changelog 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/changelog
--- 0.0.2010-05-10-kde4.4.3-1/debian/changelog	2010-05-26 20:37:21.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/changelog	2010-05-26 20:33:45.000000000 +0100
@@ -1,3 +1,14 @@
+oxygencursors (0.0.2010-05-10-kde4.4.3-1ubuntu1) maverick; urgency=low
+
+  * Merge with Debian, remaining changes:
+    - Renamed package to oxygen-cursor-theme (white colour)
+    - Added package oxygen-cursor-theme-extra (all colours except white)
+    - Added dh_install to debian/rules
+    - Removed Depends, since there are no dependencies for cursor packages
+    - Edit wrapperthemes.sh for multiple packages
+
+ -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 May 2010 16:15:20 +0000
+
 oxygencursors (0.0.2010-05-10-kde4.4.3-1) unstable; urgency=low
 
   * New upstream release based on kde 4.4.3 cursors.
@@ -6,6 +17,24 @@ oxygencursors (0.0.2010-05-10-kde4.4.3-1
 
  -- Sune Vuorela <sune@debian.org>  Tue, 18 May 2010 16:23:19 +0200
 
+oxygencursors (0.0.2008-07-07-svn824849-1ubuntu2) karmic; urgency=low
+
+  * Re-add debian/dirs once more (LP: #202444)
+
+ -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Sep 2009 13:04:22 +0200
+
+oxygencursors (0.0.2008-07-07-svn824849-1ubuntu1) jaunty; urgency=low
+
+  * Merge with Debian, remaining changes:
+    - Renamed package to oxygen-cursor-theme (white colour)
+    - Added package oxygen-cursor-theme-extra (all colours except white)
+    - Added dh_install to debian/rules
+    - Removed Depends, since there are no dependencies for cursor packages
+    - Removed debian/dirs (doesn't work with multiple packages)
+    - Edit wrapperthemes.sh for multiple packages
+
+ -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Nov 2008 16:44:40 +0000
+
 oxygencursors (0.0.2008-07-07-svn824849-1) unstable; urgency=low
 
   * New upstream snapshot - as released with kde4 rc1.
@@ -14,6 +43,38 @@ oxygencursors (0.0.2008-07-07-svn824849-
 
  -- Sune Vuorela <debian@pusling.com>  Thu, 10 Jul 2008 07:51:45 +0200
 
+oxygencursors (0.0.2008-01-27-a7b68163e7c8ccc1376-2ubuntu3) hardy; urgency=low
+
+  * Add back debian/dirs, its absense broke install when there are no
+    other cusor themes
+  * Remove depends on xcursor-themes
+
+ -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Mar 2008 00:22:31 +0000
+
+oxygencursors (0.0.2008-01-27-a7b68163e7c8ccc1376-2ubuntu2) hardy; urgency=low
+
+  * Add missing depends on xcursor-themes to oxygen-cursor-theme-extra
+    (LP: #202444).
+
+  [ Jonathan Patrick Davies ]
+  * Add missing depends on xcursor-themes to oxygen-cursor-theme.
+
+ -- Ilya Eremin <che_guevara_3@bk.ru>  Sun, 16 Mar 2008 16:25:21 +0000
+
+oxygencursors (0.0.2008-01-27-a7b68163e7c8ccc1376-2ubuntu1) hardy; urgency=low
+
+  * Merge Debian package with Ubuntu package from REVU
+    - Added package oxygen-cursor-theme-extra (includes all colors except white)
+    - Added xcursorgen as alternative to x11-apps as Build-Depends (for Gutsy)
+    - Added Homepage entry for the Oxygen Project
+    - Added dh_install to debian/rules
+    - Changed Maintainter to Ubuntu MOTU
+    - Renamed package to oxygen-cursor-theme (includes white color)
+    - Removed Depends, since there are no dependencies for cursor packages
+    - Removed debian/dirs (doesn't work with multiple packages)
+
+ -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Feb 2008 17:13:38 +0100
+
 oxygencursors (0.0.2008-01-27-a7b68163e7c8ccc1376-2) unstable; urgency=low
 
   * Fix a couple of more icon names.
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/control 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/control
--- 0.0.2010-05-10-kde4.4.3-1/debian/control	2010-05-26 20:37:21.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/control	2010-05-26 20:33:45.000000000 +0100
@@ -1,16 +1,26 @@
 Source: oxygencursors
 Section: x11
 Priority: optional
-Maintainer: Sune Vuorela <sune@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
 Build-Depends: debhelper (>= 5.0.0),inkscape,x11-apps,quilt, cmake
 Standards-Version: 3.7.3
 
-Package: oxygencursors
+Package: oxygen-cursor-theme
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Oxygen mouse cursor theme
- This package contains the Oxygen cursor theme, 
- originally created for KDE 4. 
+Depends:
+Description: Oxygen Mouse Cursor Theme
+ This package contains the Oxygen cursor theme, originally created for KDE 4. 
  . 
  The cursors are available in numerous colors to 
  match the style of any desktop.
+
+Package: oxygen-cursor-theme-extra
+Architecture: all
+Depends:
+Description: Oxygen Mouse Cursor Theme - Extra Colors
+ This package contains the Oxygen cursor theme,  originally created for KDE 4. 
+ .
+ This package contains extra cursor colors: black, blue, brown,
+ emerald, green, grey, hot_orange, navy, red, red-argentina, purple
+ sea_blue, violet, viorange and yellow.
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.install 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.install
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.install	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.install	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,31 @@
+debian/tmp/usr/share/icons/oxy-yellow
+debian/tmp/usr/share/icons/oxy-green
+debian/tmp/usr/share/icons/oxy-blue
+debian/tmp/usr/share/icons/oxy-brown
+debian/tmp/usr/share/icons/oxy-grey
+debian/tmp/usr/share/icons/oxy-violet
+debian/tmp/usr/share/icons/oxy-viorange
+debian/tmp/usr/share/icons/oxy-red
+debian/tmp/usr/share/icons/oxy-purple
+debian/tmp/usr/share/icons/oxy-navy
+debian/tmp/usr/share/icons/oxy-sea_blue
+debian/tmp/usr/share/icons/oxy-emerald
+debian/tmp/usr/share/icons/oxy-hot_orange
+debian/tmp/usr/share/icons/oxy-black
+debian/tmp/usr/share/icons/oxy-red-argentina
+
+debian/tmp/etc/X11/cursors/oxy-yellow.theme
+debian/tmp/etc/X11/cursors/oxy-green.theme
+debian/tmp/etc/X11/cursors/oxy-blue.theme
+debian/tmp/etc/X11/cursors/oxy-brown.theme
+debian/tmp/etc/X11/cursors/oxy-grey.theme
+debian/tmp/etc/X11/cursors/oxy-violet.theme
+debian/tmp/etc/X11/cursors/oxy-viorange.theme
+debian/tmp/etc/X11/cursors/oxy-red.theme
+debian/tmp/etc/X11/cursors/oxy-purple.theme
+debian/tmp/etc/X11/cursors/oxy-navy.theme
+debian/tmp/etc/X11/cursors/oxy-sea_blue.theme
+debian/tmp/etc/X11/cursors/oxy-emerald.theme
+debian/tmp/etc/X11/cursors/oxy-hot_orange.theme
+debian/tmp/etc/X11/cursors/oxy-black.theme
+debian/tmp/etc/X11/cursors/oxy-red-argentina.theme
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.postinst 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.postinst
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.postinst	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.postinst	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,49 @@
+#! /bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+PRIORITY=50
+TARGET=/usr/share/icons/default/index.theme
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    configure)
+	for theme in `find $ICONDIR -regex '.*oxy-.*theme$'`; 
+	do
+            if ! update-alternatives --list x-cursor-theme |grep -q $theme; then
+	      update-alternatives --install $TARGET x-cursor-theme $theme $PRIORITY
+            fi
+	done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.preinst 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.preinst
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.preinst	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.preinst	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+REMOVED_LIST=""
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    upgrade)
+	for theme in $REMOVED_LIST; 
+	do
+            if update-alternatives --list x-cursor-theme |grep -q $theme; then
+	      update-alternatives --remove $ICONDIR/$theme
+	      rm -f $ICONDIR/$theme
+            fi
+	done
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.prerm 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.prerm
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme-extra.prerm	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme-extra.prerm	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,42 @@
+#! /bin/sh
+# prerm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    remove|deconfigure)
+        for theme in `find $ICONDIR -regex '.*oxy-.*theme$'`; do
+            update-alternatives --remove x-cursor-theme $theme
+        done
+    ;;
+    upgrade)
+    ;;
+    failed-upgrade)
+    ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.install 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.install
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.install	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.install	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,2 @@
+debian/tmp/usr/share/icons/oxy-white
+debian/tmp/etc/X11/cursors/oxy-white.theme
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.postinst 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.postinst
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.postinst	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.postinst	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,49 @@
+#! /bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+PRIORITY=50
+TARGET=/usr/share/icons/default/index.theme
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    configure)
+	for theme in `find $ICONDIR -regex '.*oxy-.*theme$'`; 
+	do
+            if ! update-alternatives --list x-cursor-theme |grep -q $theme; then
+	      update-alternatives --install $TARGET x-cursor-theme $theme $PRIORITY
+            fi
+	done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.preinst 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.preinst
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.preinst	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.preinst	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+REMOVED_LIST=""
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    upgrade)
+	for theme in $REMOVED_LIST; 
+	do
+            if update-alternatives --list x-cursor-theme |grep -q $theme; then
+	      update-alternatives --remove $ICONDIR/$theme
+	      rm -f $ICONDIR/$theme
+            fi
+	done
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.prerm 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.prerm
--- 0.0.2010-05-10-kde4.4.3-1/debian/oxygen-cursor-theme.prerm	1970-01-01 01:00:00.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/oxygen-cursor-theme.prerm	2010-05-26 20:33:45.000000000 +0100
@@ -0,0 +1,42 @@
+#! /bin/sh
+# prerm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+ICONDIR=/etc/X11/cursors
+
+case "$1" in
+    remove|deconfigure)
+        for theme in `find $ICONDIR -regex '.*oxy-.*theme$'`; do
+            update-alternatives --remove x-cursor-theme $theme
+        done
+    ;;
+    upgrade)
+    ;;
+    failed-upgrade)
+    ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/rules 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/rules
--- 0.0.2010-05-10-kde4.4.3-1/debian/rules	2010-05-26 20:37:21.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/rules	2010-05-26 20:33:45.000000000 +0100
@@ -44,8 +44,9 @@ install:
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/comixcursors.
-	cp -a cursors/oxy-* $(CURDIR)/debian/oxygencursors/$(ICONDIR)
+	# Add here commands to install the package into debian/tmp
+	mkdir -p $(CURDIR)/debian/tmp/$(ICONDIR)
+	cp -a cursors/oxy-* $(CURDIR)/debian/tmp/$(ICONDIR)
 
 	chmod +x debian/wrapperthemes.sh
 
@@ -60,6 +61,7 @@ binary-indep: install
 	dh_testroot
 	dh_installdocs
 	dh_installchangelogs 
+	dh_install
 	dh_compress
 	dh_fixperms
 	dh_installdeb
diff -pruN 0.0.2010-05-10-kde4.4.3-1/debian/wrapperthemes.sh 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/wrapperthemes.sh
--- 0.0.2010-05-10-kde4.4.3-1/debian/wrapperthemes.sh	2010-05-26 20:37:21.000000000 +0100
+++ 0.0.2010-05-10-kde4.4.3-1ubuntu1/debian/wrapperthemes.sh	2010-05-26 20:33:45.000000000 +0100
@@ -2,12 +2,14 @@
 ICONDIR=usr/share/icons
 WRAPPERDIR=etc/X11/cursors
 CURDIR=`pwd`
-        cd debian/oxygencursors/${ICONDIR}
+        mkdir -p ${CURDIR}/debian/tmp/${WRAPPERDIR}
+        cd debian/tmp/${ICONDIR}
+	ls
 	for theme in oxy*
 	do 
-		grep -v Inherits ${CURDIR}/debian/oxygencursors/${ICONDIR}/${theme}/index.theme > tmp || exit 1
+		grep -v Inherits ${CURDIR}/debian/tmp/${ICONDIR}/${theme}/index.theme > tmp || exit 1
 		echo "Inherits = ${theme}" >> tmp  || exit 1
-		install -m 644 tmp ${CURDIR}/debian/oxygencursors/${WRAPPERDIR}/${theme}.theme || exit 1
+		install -m 644 tmp ${CURDIR}/debian/tmp/${WRAPPERDIR}/${theme}.theme || exit 1
 		rm tmp || exit 1
 	done 
 exit 0

